org.eclipse.emf.facet.efacet.core.query

## Interface IQueryImplementationFactory

    public interface IQueryImplementationFactory

This factory allows clients to create a `IQueryImplementation` for queries corresponding to this type of factory.

Since:
  0.2

### Method Summary

All Methods Instance Methods Abstract Methods
`IQueryImplementation` `create(Query query, Bundle queryBundle, IDerivedTypedElementManager manager)` Create a query implementation for the given query.
`EClass` `getManagedQueryType()` Return the type of query handled by this implementation.

### Method Detail

#### create

    IQueryImplementation create(Query query,
                                Bundle queryBundle,
                                IDerivedTypedElementManager manager)
                         throws DerivedTypedElementException

Create a query implementation for the given query.

Parameters:
  `query` - the query to create an implementation for
  `queryBundle` - the bundle in which the query is defined. May be `null` if the query is not defined in a `Bundle`.
Throws:
  `DerivedTypedElementException`

#### getManagedQueryType

    EClass getManagedQueryType()

Return the type of query handled by this implementation.

Returns:
  the type of query this implementation handles.